.ifdef ARM_CM0
	.cpu cortex-m0
	.fpu softvfp
	.set RCCREG,   0x40021000
	.set RCCSET,   20
	.set RCCENB,   19
	.set GPIOREG,  0x48000800
        .set LED,      8
        .set DLED,     16
        .set DROFS,    20
        .set TIME,     18
.endif
.ifdef ARM_CM4
        .cpu cortex-m4
        .fpu softvfp
        .set RCCREG,   0x40023800
        .set RCCSET,   48
        .set RCCENB,   3
        .set GPIOREG,  0x40020C00
        .set LED,      15
        .set DLED,     30
        .set DROFS,    20
        .set TIME,     18
.endif
	.section	.text.Reset_Handler,"ax",%progbits
	.align	1
	.global	Reset_Handler
	.code	16
	.thumb_func
	.type	Reset_Handler, %function
Reset_Handler:
	mov	r2, #1                  @ obecna jednicka, zachovava se cely cas behu

	ldr	r3, RCC                 @ hodiny
	lsl	r0, r2,  #RCCENB
	str	r0, [r3, #RCCSET]

	ldr	r3, GPIOC               @ pin jako vystup
	lsl	r0, r2,  #DLED
	str	r0, [r3]

	lsl	r1, r2,  #LED           @ r1 = pozice LED
InfiniteLoop:
	ldrh	r0, [r3, #DROFS]        @ xor vystupu
	eor	r0, r1
	strh	r0, [r3, #DROFS]

@	ldr	r0, Dly                 @ zpozdeni - setrime tedy ->
	lsl	r0, r2,  #TIME          @ alternativne takto, pokud staci nasobky 2
DelayLoop:
	sub	r0, r2
	cmp	r0, #0
	bne	DelayLoop
	b	InfiniteLoop

	.align	2
RCC:	.word	RCCREG
GPIOC:	.word	GPIOREG
@Dly:	.word	0x00040000

/* Tohle je obsah vectors.c přeložený do jazyka symbolických adres. */
	.global	Vectors
	.extern _estack
	.section	.rodata.Vectors,"a",%progbits
	.align	2
	.type	Vectors, %object
Vectors:
	.word	_estack
	.word	Reset_Handler
/* Použijeme to tak v jednom souboru aby bylo vidět, že i to jde    */
